diff --git a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/ReactiveWebServerFactoryAutoConfigurationTests.java b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/ReactiveWebServerFactoryAutoConfigurationTests.java
index 5c397294f20..8059e8a5b10 100644
--- a/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/ReactiveWebServerFactoryAutoConfigurationTests.java
+++ b/spring-boot-project/spring-boot-autoconfigure/src/test/java/org/springframework/boot/autoconfigure/web/reactive/ReactiveWebServerFactoryAutoConfigurationTests.java
@@ -68,7 +68,7 @@ public void createFromConfigClass() {
 					assertThat(context.getBeansOfType(ReactiveWebServerFactory.class))
 							.hasSize(1);
 					assertThat(context.getBeansOfType(WebServerFactoryCustomizer.class))
-							.hasSize(1);
+							.hasSize(2);
 					assertThat(context
 							.getBeansOfType(ReactiveWebServerFactoryCustomizer.class))
 									.hasSize(1);
